Skip to main content
GET
Search portable component digests by prefix.

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Query Parameters

prefix
string

SHA-256 hex prefix. Empty or 1-64 characters within a selected component; at least 4 characters for instance-wide search.

componentId
string<uuid>

Restrict results to a local component. Omit for instance-wide search.

take
number

Maximum matches returned per page (default 20, maximum 100).

Required range: 1 <= x <= 100
afterVersion
number

Local version from the previous page cursor; provide with afterDigest and afterComponentId.

Required range: x >= 0
afterDigest
string

Digest from the previous page cursor; provide with afterVersion and afterComponentId.

afterComponentId
string

Component ID from the previous page cursor; provide with afterVersion and afterDigest.

Response

200 - application/json

Prefix-matched local component digests and an optional continuation cursor.

data
object[]
required
nextCursor
object | null
required
Last modified on September 23, 2026